%global modulename validate-npm-package-license

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-validate-npm-package-license
Version:        3.0.4
Release:        1%{?dist}
Summary:        Give me a string and I'll tell you if it's a valid npm package license string

License:        ASL 2.0
URL:            https://github.com/kemitchell/validate-npm-package-license.js#readme
Source0:        https://registry.npmjs.org/validate-npm-package-license/-/validate-npm-package-license-3.0.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(spdx-correct) >= 3.0.0 with npmlib(spdx-correct) < 4.0.0))
BuildRequires:  ((npmlib(spdx-expression-parse) >= 3.0.0 with npmlib(spdx-expression-parse) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Give me a string and I'll tell you if it's a valid npm package license string

%package 3.0.4
Summary:        Give me a string and I'll tell you if it's a valid npm package license string


%description 3.0.4
Give me a string and I'll tell you if it's a valid npm package license string

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 3.0.4
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 3.0.4-1
- Package automatically generated by npm2srpm
